======================
Discord Client
======================

AA contains a web client for interacting with the Discord API. This client can be used independently from an installed Discord service in AA.

Location: ``allianceauth.services.modules.discord.discord_client``

.. contents:: :local:


client
======

.. automodule:: allianceauth.services.modules.discord.discord_client.client
    :members:

models
======

.. automodule:: allianceauth.services.modules.discord.discord_client.models
    :members:
    :undoc-members:
    :member-order: bysource

exceptions
==========

.. automodule:: allianceauth.services.modules.discord.discord_client.exceptions
    :members:

settings
========

.. automodule:: allianceauth.services.modules.discord.discord_client.app_settings
    :members:
